Skip to main content
POST
/
contacts
Create contact
curl --request POST \
  --url https://productlane.com/api/v1/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "name": "<string>",
  "companyId": "<string>",
  "companyName": "<string>",
  "companyExternalId": "<string>"
}
'
{
  "id": "<string>",
  "email": "<string>",
  "name": "<string>",
  "imageUrl": "<string>",
  "companyId": "<string>",
  "workspaceId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "isDeleted": true,
  "version": 123,
  "intercomId": "<string>",
  "hubspotId": "<string>",
  "productboardId": "<string>",
  "zendeskId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string<email>
required
Maximum string length: 254
name
string
Required string length: 1 - 255
companyId
string
Required string length: 1 - 255
companyName
string
Required string length: 1 - 255
companyExternalId
string
Required string length: 1 - 255

Response

Successful response

id
string
required
email
string
required
name
string | null
required
imageUrl
string | null
required
companyId
string | null
required
workspaceId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
isDeleted
boolean
required
version
number
required
intercomId
string | null
hubspotId
string | null
productboardId
string | null
zendeskId
string | null